#!/bin/bash
MONERO_BRANCH="v0.18.2.0"
MONERO_COMMIT_HASH="99be9a044f3854f339548e2d99c539c18d7b1b01"
REGISTRY="code.balsillie.net"
ORG="containers"
IMAGE="monerod"
IMAGE_FULL="$REGISTRY/$ORG/$IMAGE"
docker build \
    --pull \
    -f ./Dockerfile \
    -t "$IMAGE_FULL:latest" \
    -t "$IMAGE_FULL:$MONERO_BRANCH" \
    --build-arg MONERO_BRANCH="$MONERO_BRANCH" \
    --build-arg MONERO_COMMIT_HASH="$MONERO_COMMIT_HASH" \
    .
docker push -a "$IMAGE_FULL"

